gAddChildMessage-class {MVCClass} | R Documentation

## Class "gAddChildMessage": A class to represent an add child MVC message

### Description

gAddChildMessage class represents an add child MVC message. This class will create a new MVC object that is a child of the current MVC object. gAddChildMessage inherits from the class, gAddMessage, which inherits from the virtual class, gMessage. The initialize and handleMessage methods will be defined in other packages that use this class (for example, the iSNetwork package).

### Objects from the Class

Objects can be created by calls of the form `new("gAddChildMessage", ...)`. The initialize method for this class will be created in other packages that use this package (for example, the initialize method will be created in the iSNetwork package).

### Slots

`dataName`:
  the name of the new child model (MVC)
`mData`:
  a list of information needed to add the new model
`type`:
  the type of the new model (for now, it may be a data.frame, ExpressionSet, or graph)

### Extends

Class `"gAddMessage"`, directly. Class `"gMessage"`, by class `"gAddMessage"`.

### Methods

No methods defined with class "gAddChildMessage" in the signature.

### Author(s)

Elizabeth Whalen

### See Also

`gAddDataMessage-class`, `gAddMessage-class`, `gMessage-class`

[Package MVCClass version 1.18.0 Index]